Guidance Through iPhone Problem

Discussion in 'Jailbreaks and iOS Hacks' started by BuStOsAvIcH, Aug 15, 2010.

  1. BuStOsAvIcH macrumors member

    BuStOsAvIcH

    Joined:
    Aug 26, 2009
    #1
    So here's the situation that I am currently in:

    iPhone 3GS
    Old Bootrom


    I was on 3.1.3 JB using PwnageTool. I made the decision today to upgrade via a Custom Firmware to 4.0. The process hung for over 2 hours so I decided to restore. I have all my SHSH blobs on file since 3.1.2 on Cydia and on TinyUmbrella. Unfortunately, they wouldn't restore to custom firmwares on any of these OS's so I had to upgrade to official 4.0.2 to get the phone working. I am able to downgrade to the 4.0 official firmwares. How would I go about getting the Custom 4.0 Firmware installed on my iPhone now.

    Feel free to ask any questions about my situation.

    Thanks in advance for your help.
     
  2. The General macrumors 601

    Joined:
    Jul 7, 2006
    #2
    You have your SHSHs backed up all the way to 3.1.2? Then nothing you do will take you off the jailbreak train.

    Restore to vanilla 4.0.1 using iTunes and jailbreak with jailbreakme.com.

    Make sure you install the PDF patch when you're done.
     
  3. BuStOsAvIcH thread starter macrumors member

    BuStOsAvIcH

    Joined:
    Aug 26, 2009
    #3
    Wouldn't upgrading to 4.0.2 permanently stop me from using JailBreakMe.Com?
     
  4. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #4
    Yes, but the general advised 4.0.1, not 4.0.2
     
  5. BuStOsAvIcH thread starter macrumors member

    BuStOsAvIcH

    Joined:
    Aug 26, 2009
    #5
    I thought it might be a permanent patch if I ever upgraded to 4.0.2 but I just tried it and it worked. Thanks for your help.
     
  6. The General macrumors 601

    Joined:
    Jul 7, 2006
    #6
    Only 4.0.2 patches the jailbreakme.com exploit. You should be able to upgrade to 4.0.1 w/ SHSH.

    If you upgrade to 4.0.2, no sweat, you can just downgrade to 3.1.2 because you have your SHSH backed up. :)
     
  7. BuStOsAvIcH thread starter macrumors member

    BuStOsAvIcH

    Joined:
    Aug 26, 2009
    #7
    Does this mean I can not use PwnageTool to install a custom FW to the next OS whenever that comes out.
     
  8. The General macrumors 601

    Joined:
    Jul 7, 2006
    #8
    No, like I said in my first post, you will always be on the jailbreak train because you have your SHSH for 3.1.2 backed up, which means you are able to downgrade to 3.1.2 and jailbreak with redsn0w, which is your ticket back onto the jailbreak train.

    Obviously before doing anything, you should double and triple check and make sure your SHSH for 3.1.2 is backed up. It should say at the top of Cydia.
     

Share This Page